function [LL, GRAD] = LL_wrapper(b0,y,Xf,EstimOpt,varargin)

if nargin > 4
    mub0 = varargin{1};
    Vb0 = varargin{2};
end

if EstimOpt.NB == 3
    [LL, GRAD] = LL_NB_es(b0,y,Xf);
    LL = -sum(LL);
    GRAD = -sum(GRAD);
    if nargin > 4
        LL = -log(mvnpdf(b0,mub0,Vb0)) + LL;
        GRAD = Vb0\(b0-mub0) + GRAD';
    end
end

end
