function [LL,GRAD] = LL_NB_es(b0,y,Xf)

lnlam = Xf*b0(1:end-1);
lam = exp(lnlam);
alp = exp(b0(end));

LL = log(y) + gammaln(1./alp + y) + (b0(end)).*y + (lnlam).*(y-1) + ...
    log(1 + alp.*lam).*(-1./alp-y) - ...
    gammaln(y+1) - gammaln(alp.^(-1));

if nargout >1
    dlam = (y - 1 - (1+alp).*lam)./(1+alp.*lam);
    GRAD = ([Xf.*dlam(:,[1 1]), 1/alp.*(-1 + (1 + alp.*y)./(1 + alp.*lam) + log(1 + alp.*lam) + psi(1/alp) - psi(1/alp + y))]);
end

end